### Method

# Adw Dialog set_presentation_mode

since: 1.5

#### Declaration [src]

    void
    adw_dialog_set_presentation_mode (
      AdwDialog* self,
      AdwDialogPresentationMode presentation_mode
    )

#### Description [src]

Sets presentation mode for `self`.

When set to `ADW_DIALOG_AUTO`, the dialog appears as a bottom sheet when the following condition is met: `max-width: 450px or max-height: 360px`, and as a floating window otherwise.

Set it to `ADW_DIALOG_FLOATING` or `ADW_DIALOG_BOTTOM_SHEET` to always present it a floating window or a bottom sheet respectively, regardless of available size.

Presentation mode does nothing for dialogs presented as a window.

Available since: 1.5

Sets property | `Adw.Dialog:presentation-mode`

#### Parameters

`presentation_mode`

  Type: `AdwDialogPresentationMode`

  The new presentation mode.